Subject: Re: [PATCH v7] RO/NX protection for loadable kernel modules

From: Rusty Russell <[email-masked]>
Date: Tue, 6 Oct 2009 20:47:09 +1030

On Mon, 5 Oct 2009 10:20:42 pm Siarhei Liakh wrote:
> This patch is a logical extension of the protection provided by
> CONFIG_DEBUG_RODATA to LKMs. The protection is provided by splitting
> module_core and module_init into three logical parts each and setting
> appropriate page access permissions for each individual section:

Thanks, applied!

It will be in linux-next soon, and if all goes well, 2.6.33.

Cheers,
Rusty.